#include<stdio.h>
#include<math.h>
int main()
{
	int N;
	int i;
	int A;
	double P, z = 0;
	
	scanf("%d",&N);
	
	for(i = 1; i <= N; i++)
	{
		scanf("%d %f",&A, &P);
		     if(77.32 < P)z = z + A * (P / 100);
		    
	}
	printf("%f",z);
	
	
return 0;
}